Bug 14467 - Generic CIPE issues.
Summary: Generic CIPE issues.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cipe (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-22 20:07 UTC by Pekka Savola
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-23 20:43:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An example of /etc/sysconfig/cipe (573 bytes, text/plain)
2000-07-22 20:09 UTC, Pekka Savola
no flags Details

Description Pekka Savola 2000-07-22 20:07:50 UTC
If /etc/sysconfig/cipe doesn't exist, /etc/rc.d/init.d/cipe can't
get $DEVICE, $PEER, and $PORT settings from anywhere.  Perhaps it'd better
die right out?

Also, are dynamic configurations supported, ie. dialup (when the interface
isn't really up at boot..)?  This might require extra checking considering
the way IP address is obtained using ifconfig.

Default /etc/sysconfig/cipe is empty.  Settings for it have to
reverse-engineered from init.d/cipe.  It should at least be commented
somehow.  An example file is attached.

/etc/cipe/options is also all-commented out.  This has to be edited
to get CIPE to work.  The only options you have to set are ptpaddr, ipaddr,
and key, really.  Maxerr could be set to -1 by default, I think.  In the
file, device=, me=, and peer= could be more clearly separated from the
"important" variables.

Some really obscure private space IP addresses could be used as private
tunnel endpoints (e.g. 172.16.100.1 and 172.16.100.2); I doubt they'd clash.

Cipe also generates some debug messages by default.  Appending the
following to /etc/modules.conf would avoid that:
---
options cipcb cipe_debug=0
---

Comment 1 Pekka Savola 2000-07-22 20:09:19 UTC
Created attachment 1467 [details]
An example of /etc/sysconfig/cipe

Comment 2 Nalin Dahyabhai 2000-07-23 20:43:18 UTC
Thanks, will be fixed in the next release of the cipe package.


Note You need to log in before you can comment on or make changes to this bug.